
# wrapping the «scrollable_content» in a Scroll Component
scroll = ScrollComponent.wrap scrollable_content

# setting the Scroll Component’s properties
scroll.props =
	borderColor: "gray"
	borderWidth: 1
	height: 667		# width is already set
	scrollHorizontal: no
	point: Align.center


# status bar + navigation bar
statusAndNavigationBar = new Layer
	width: scroll.width, height: 64
	backgroundColor: "#2DD7AA"
	parent: scroll
	opacity: .8

# toolbar at the bottom of the screen
toolBar = new Layer
	width: scroll.width, height: 44
	backgroundColor: "#2DD7AA"
	parent: scroll
	opacity: .8
	y: scroll.height - 44


# content inset for the top & bottom bars
scroll.contentInset =
	top: statusAndNavigationBar.height
	bottom: toolBar.height + 30
